import { createSSRApp } from 'vue'
import App from './App.vue'
import * as Pinia from 'pinia'
import plugins from './plugins' // plugins
import uviewPlus from 'uview-plus'

export function createApp() {
  const app = createSSRApp(App)
  app.use(uviewPlus)
  app.use(Pinia.createPinia())
  app.use(plugins)
  return {
    app,
    Pinia,
  }
}
